#!/usr/bin/python3.3
###################################################
#Ce fichier contient la correction de l'exercice 8#
#Créé par : Wolf                                  #
#wolf@bad-wolf.fr   blog.bad-wolf.fr              #
###################################################

class Chien(object):
    """
    definit un chien
    """
    
    def __init__(self,nom,race="Berger Australien",age=1):
        """
        init tout les éléments du chien
        """
        self.nom = nom
        self._race = race
        self._age = age
        self._faim = 0.5        #0=mort de faim 1=rassasié
        self._soif = 0.5        #0=mort de soif 1=hydraté
        self._fatigue = 0.5      #0=endormi 1=reposé

    def aboyer(self):
        """
        fait aboyer le chien
        """
        print("Wouaf Wouaf")
        
    def manger(self):
        """
        fait manger le chien
        """
        print("Je suis rassasié")
        self._faim = 1
    
    def boire(self):
        """
        fait boire le chien
        """
        print("je n'ai plus soif")
        self._soif = 1
        
    def dormir(self):
        """
        fait dormir le chien
        """
        print("je suis en pleine forme")
        self._fatigue = 1

    def garder(self):
        """
        fait monter la garder au chien
        """
        estOk = True
        if self._fatigue<0.25:
            if estOk:
                print("Je suis",end=" ")
            print("trop fatigué",end="")
            estOk = False
        if self._faim<0.25:
            if estOk:
                print("Je suis",end=" ")
            else:
                print(",",end=" ")
            print("trop affamé",end="")
            estOk = False
        if self._soif<0.25:
            if estOk:
                print("Je suis",end=" ")
            else:
                print(",",end=" ")
            print("trop assoiffé",end="")
            estOk = False
        if estOk:
            print("je monte la garde")
            self._fatigue-=0.1
            self._faim-=0.1
            self._soif-=0.1
            return True
        else:
            print(" pour monter la garde")
            return False
            
    def mordre(self):
        """
        fait mordre le chien
        """
        if self._fatigue<0.25:
            print("Je suis trop fatigué pour mordre")
            return False
        else:
            print("je mord !!!")
            return True

george = Chien("George",race="Labrador",age=42) #on créer un objet george de la class chien


print(george.__dict__) #on peut voir les différents attribut de l'objet, ceci est peu/pas utilisé

for i in range(3):
    george.garder() #george garde
    george.mordre() #george mord

george.dormir() #george dort
george.mordre() #george mord
george.garder() #george garde
george.boire()  #george boit
george.mordre() #george mord
george.garder() #george garde
george.manger() #george mange
george.mordre() #george mord
george.garder() #george garde       
        





